Bug 495617 - port to PolicyKit 1.0
port to PolicyKit 1.0
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ConsoleKit (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-14 00:08 EDT by Matthias Clasen
Modified: 2015-01-14 18:22 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-23 23:13:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch (18.64 KB, patch)
2009-04-14 00:08 EDT, Matthias Clasen
no flags Details | Diff
new patch (30.74 KB, patch)
2009-05-12 23:52 EDT, Matthias Clasen
no flags Details | Diff
ported to 0.92 (31.64 KB, patch)
2009-05-13 14:41 EDT, Matthias Clasen
no flags Details | Diff

  None (edit)
Description Matthias Clasen 2009-04-14 00:08:26 EDT
Created attachment 339416 [details]
patch

Here is an (untested) patch.
Comment 1 Matthias Clasen 2009-05-12 23:52:29 EDT
Created attachment 343684 [details]
new patch

The new patch does it all async, and adds CanRestart and CanStop methods for use in gnome-session. It has been tested.
Comment 2 Matthias Clasen 2009-05-13 14:41:47 EDT
Created attachment 343840 [details]
ported to 0.92
Comment 3 Bug Zapper 2009-06-09 09:47:16 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Matthias Clasen 2009-06-09 11:41:09 EDT
Applied in ConsoleKit-0.3.0-9.fc12
Comment 5 Matthias Clasen 2009-06-09 12:37:44 EDT
Filed upstream: http://bugs.freedesktop.org/show_bug.cgi?id=22178

Note You need to log in before you can comment on or make changes to this bug.